<?php
require_once 'inc/usuario.php';

checkLogin('login.php');

$id_usuario = 1;
$st_ativo		= 1;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}

// dados do post
if(isset($_POST['id'])){
    $id 			= $_POST['id'];
}


  $ds_logo = ''; // trim($_POST['ds_logo']);

  $dir = 'img/';
  $dir_en = 'img/en/';
  $prefix = ''; // '../';

  if (!empty($_FILES['ds_logo']['name'])) {
    $arquivo = $prefix . $dir . $_FILES['ds_logo']['name'];
    move_uploaded_file($_FILES['ds_logo']['tmp_name'], $arquivo);
    $ds_logo = $dir . $_FILES['ds_logo']['name'];
    //$ds_img_site1 = $ds_arquivo;
    //$sql .= ', ds_arquivo = ?';
    //$campos[] = $ds_arquivo;
	}else{
    if(isset($_POST['ds_logo_atual'])){
      $ds_logo = $_POST['ds_logo_atual'];
    }
  }

$ds_razao_social = trim($_POST['ds_razao_social']);
$ds_fantasia = trim($_POST['ds_fantasia']);
$ds_cnpj = trim($_POST['ds_cnpj']);
$ds_ie = trim($_POST['ds_ie']);

if(isset($_POST['adicionar']) or isset($_POST['editar'])){
  $ds_cnae_fiscal = trim($_POST['ds_cnae_fiscal']);
  $ds_im = trim($_POST['ds_im']);
  $ds_iest = trim($_POST['ds_iest']);
  $id_regime = trim($_POST['id_regime']);
  $ds_cep = trim($_POST['ds_cep']);
  $ds_endereco = trim($_POST['ds_endereco']);
  $ds_numero = trim($_POST['ds_numero']);
  $ds_complemento = trim($_POST['ds_complemento']);
  $ds_bairro = trim($_POST['ds_bairro']);
  $id_municipio = trim($_POST['id_municipio']);
  $ds_email = trim($_POST['ds_email']);

  $ds_cnpj = preg_replace("/[^0-9]/", "", $ds_cnpj);

  $id_sub_regime_trib = trim($_POST['id_sub_regime_trib']);
}

/* limpa campos antes da execução
$nr_cpf = preg_replace("/[^0-9]/", "", $nr_cpf);
$nr_cep = preg_replace("/[^0-9]/", "", $nr_cep);
$nr_residencia = preg_replace("/[^0-9]/", "", $nr_residencia);

IF($nr_residencia==""){$nr_residencia="null";}
*/
// monta sql com os campos
if(isset($_POST['editar'])) {
  $sql = "update erpc_unidades set ds_razao_social='$ds_razao_social'
  ,ds_fantasia='$ds_fantasia'
  ,ds_cnpj='$ds_cnpj'
  ,ds_ie='$ds_ie'
  ,ds_cnae_fiscal='$ds_cnae_fiscal'
  ,ds_im='$ds_im'
  ,ds_iest='$ds_iest'
  ,id_regime='$id_regime'
  ,ds_cep='$ds_cep'
  ,ds_endereco='$ds_endereco'
  ,ds_numero='$ds_numero'
  ,ds_complemento='$ds_complemento'
  ,ds_bairro='$ds_bairro'
  ,id_municipio='$id_municipio'
  ,ds_logo='$ds_logo'
  ,id_sub_regime_trib='$id_sub_regime_trib'
  ,ds_email='$ds_email'
  ,dh_alteracao=now()";
  $sql .= " where id = $id";
}else
	if(isset($_POST['excluir'])) {
		$sql  = "update erpc_unidades set st_ativo = 0, id_usuario = $id_usuario, dh_alteracao=now()";
		$sql .= " where id = $id";
 }else
	if(isset($_POST['adicionar'])) {
		$sql = "insert into erpc_unidades(
     ds_razao_social
    ,ds_fantasia
    ,ds_cnpj
    ,ds_ie
    ,ds_cnae_fiscal
    ,ds_im
    ,ds_iest
    ,id_regime
    ,ds_cep
    ,ds_endereco
    ,ds_numero
    ,ds_complemento
    ,ds_bairro
    ,id_municipio
    ,ds_logo
    ,id_sub_regime_trib
    ,st_ativo
    ,ds_email
    ,id_usuario)";

		$sql .="values(
     '$ds_razao_social'
    ,'$ds_fantasia'
    ,'$ds_cnpj'
    ,'$ds_ie'
    ,'$ds_cnae_fiscal'
    ,'$ds_im'
    ,'$ds_iest'
    ,'$id_regime'
    ,'$ds_cep'
    ,'$ds_endereco'
    ,'$ds_numero'
    ,'$ds_complemento'
    ,'$ds_bairro'
    ,'$id_municipio'
    ,'$ds_logo'
    ,'$id_sub_regime_trib'
    ,$st_ativo
    ,'$ds_email'
    ,$id_usuario)";
}

// executa sql
if($sql!=""){
  $sql = str_replace("''", "null", $sql);

	$stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
	mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

  // echo $sql;
  // header("location:erpc_unidades_list.php");
?>
<script type='text/javascript'/>window.location.assign("erpc_unidades_list.php");</script>
